## org.apache.solr.common.params
Class MultiMapSolrParams

    java.lang.Object
      org.apache.solr.common.params.SolrParams
          org.apache.solr.common.params.MultiMapSolrParams

All Implemented Interfaces:
  Serializable

    public class MultiMapSolrParams

extends SolrParams

Version:
  $Id$
See Also:
  Serialized Form

Field Summary
`protected Map<String,String[]>` `map`

Constructor Summary
`MultiMapSolrParams(Map<String,String[]> map)`

Method Summary
`static void` `addParam(String name, String val, Map<String,String[]> map)`
`String` `get(String name)` returns the String value of a param, or null if not set
`Map<String,String[]>` `getMap()`
`Iterator<String>` `getParameterNamesIterator()` returns an Iterator over the parameter names
`String[]` `getParams(String name)` returns an array of the String values of a param, or null if none
`String` `toString()`

Methods inherited from class org.apache.solr.common.params.SolrParams
`fpname, get, getBool, getBool, getFieldBool, getFieldBool, getFieldFloat, getFieldFloat, getFieldInt, getFieldInt, getFieldParam, getFieldParam, getFieldParams, getFloat, getFloat, getInt, getInt, parseBool, required, toMap, toMultiMap, toNamedList, toSolrParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### map

    protected final Map<String,String[]> map

Constructor Detail

### MultiMapSolrParams

    public MultiMapSolrParams(Map<String,String[]> map)

Method Detail

### addParam

    public static void addParam(String name,
                                String val,
                                Map<String,String[]> map)

### get

    public String get(String name)

  Description copied from class: `SolrParams`
  returns the String value of a param, or null if not set

  Specified by:
    `get` in class `SolrParams`

### getParams

    public String[] getParams(String name)

  Description copied from class: `SolrParams`
  returns an array of the String values of a param, or null if none

  Specified by:
    `getParams` in class `SolrParams`

### getParameterNamesIterator

    public Iterator<String> getParameterNamesIterator()

  Description copied from class: `SolrParams`
  returns an Iterator over the parameter names

  Specified by:
    `getParameterNamesIterator` in class `SolrParams`

### getMap

    public Map<String,String[]> getMap()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009 Apache Software Foundation. All Rights Reserved.